# -*- coding: utf-8 -*-
from django.utils.translation import gettext_lazy as _

children = []
models = [
    {'model_name': 'language', 'model_label': _('language'), 'model_label_plural': _('languages')},
]

for model in models:
    add_entry = {
        "title": _("add {}").format(model['model_label']),
        "url_name": f"admin:i18n_{model['model_name']}_add",
        "perms": [f"i18n.add_{model['model_name']}"],
    }
    children.append(add_entry)
    list_entry = {
        "title": _("{} list").format(model['model_label_plural']),
        "url_name": f"admin:i18n_{model['model_name']}_changelist",
        "perms": [
            f"i18n.view_{model['model_name']}",
            f"i18n.change_{model['model_name']}"
        ],
    }
    children.append(list_entry)

menu_items = [{
    'title': _('i18n'),
    'url_name': {'viewname': 'admin:app_list', 'kwargs': {'app_label': 'i18n'}},
    'perms': ['i18n.*'],
    'children': children
}]
